[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.InsertBehind

Inserts a new tree node with the specified text just after the specified node.

## Declaration

Source position: comctrls.pp line 3277

`public function TTreeNodes.InsertBehind(`
`PrevNode: TTreeNode;`
`const S: string`
`):TTreeNode;`

## Arguments

`PrevNode` |  | Tree node that will become the previous sibling for the inserted node.
`S` |  | Text for the tree node created and stored in the method.

## Function result

TTreeNode instance created and stored in the method.

## See also

TTreeNodes.InsertObjectBehind |  | Inserts a new tree node with the specified text and data just behind the specified node.
TTreeNode.Text |  | Text displayed for the tree node.
TTreeNode.Level |  | The number of ancestor nodes for the current tree node.